<div class="dialog-content-wrapper">
    <mat-toolbar-row fxFlex fxLayout="row" fxLayoutAlign="space-between end">
    <button mat-icon-button aria-label="Close dialog" mat-dialog-close (click)="onNoClick()">
        <mat-icon>close</mat-icon>
      </button>
    </mat-toolbar-row>
  
  <div class="panel">
    <div class="panel-content">



      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="!data.edit">
            <mat-form-field fxFlex="50">
              <input matInput placeholder="Instalador" disabled='true' value="{{data.installer.Text}}">
            </mat-form-field>
            <mat-form-field fxFlex="50">
                <input matInput placeholder="Horário" disabled='true' value="{{data.hour}}">
              </mat-form-field>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="data.edit">
        <mat-form-field fxFlex="100">
            <mat-select placeholder="Instalador" name="technician" [(ngModel)]="technician">
              <mat-option *ngFor="let technician of technicianList" [value]="technician.Id">
                {{ technician.Text }}
              </mat-option>
            </mat-select>  
        </mat-form-field>
      </div>
     
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="data.edit">
        
        <mat-form-field  fxFlex="50">
            <input matInput [matDatepicker]="picker" placeholder="Data da Instalação" [(ngModel)]="date">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
        <mat-form-field fxFlex="50">
              <mat-select placeholder="Hora da Instalação" name="hours" [(ngModel)]="hours">
                  <mat-option [value]="08">08:00</mat-option>
                  <mat-option [value]="09">09:00</mat-option>
                  <mat-option [value]="10">10:00</mat-option>
                  <mat-option [value]="11">11:00</mat-option>
                  <mat-option [value]="12">12:00</mat-option>
                  <mat-option [value]="13">13:00</mat-option>
                  <mat-option [value]="14">14:00</mat-option>
                  <mat-option [value]="15">15:00</mat-option>
                  <mat-option [value]="16">16:00</mat-option>
                  <mat-option [value]="17">17:00</mat-option> 
              </mat-select>
         </mat-form-field>
        </div> 

    
      <form [formGroup]="configForm" novalidate >

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" >
          <mat-form-field fxFlex="50">
              <mat-select placeholder="Tempo de deslocamento" formControlName="deslocationTime">
                <mat-option [value]="15">15 min</mat-option>
                <mat-option [value]="30">30 min</mat-option>
                <mat-option [value]="60">60 min</mat-option>
                <mat-option [value]="90">90 min</mat-option>
                <mat-option [value]="120">120 min</mat-option>
                <mat-option [value]="150">150 min</mat-option>
                <mat-option [value]="180">180 min</mat-option>
              </mat-select>
          </mat-form-field>
          <mat-form-field fxFlex="50">
              <mat-select placeholder="Duração da instalação" formControlName="serviceLenght">
                <mat-option [value]="'THIRTY_MINUTES'">30 min</mat-option>
                <mat-option [value]="'ONE_HOUR'">60 min</mat-option>
                <mat-option [value]="'TWO_HOURS'">120 min</mat-option>
              </mat-select>
          </mat-form-field>
        </div>
       
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" >
          <div fxFlex="100">
            <mat-checkbox required formControlName="duringBusinessHours">O cliente está disponível durante todo o período comercial ?</mat-checkbox>
          </div>
        </div>

      </form>
      <br>
      <mat-divider></mat-divider>

      <div fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px" style="padding-left: 5px; padding-right: 5px;">
          <div mat-dialog-actions>
            <button type="button" mat-raised-button (click)="onNoClick()">Cancelar</button>
            <button type="submit" mat-raised-button color="primary" (click)="assignServiceOrder()">{{ data.edit ? 'Reagendar' : 'Agendar'}}</button>
          </div>
        </div>
    </div>
    <br>
  </div>

</div>
